# import csv
import glob
import os
import re
import shutil
import pandas as pd

log_directory = 'logs_memory'

logfile_list = glob.glob(f'{log_directory}/*.log')

print(logfile_list)
param_df_list = []
for idx_logfile, logfile in enumerate(logfile_list[:]):
    print(logfile)
    with open(logfile, 'r',  encoding="utf8") as afile:
        lines = afile.readlines()
        for idx_line, line in enumerate(lines):
            # print(idx_line, line)
            if 'Namespace' in line:
                namespace = line[:-1]
            elif 'Error' in line:
                error_message = line[:-1]

        namespace_split = re.split('Namespace\(|=|, |\)', namespace)
        # print(namespace)
        print(namespace_split)
        param_dict = {}
        for idx_n in range(14):
            param_dict[namespace_split[2*idx_n+1]] = namespace_split[2*idx_n+2].strip("'")

        param_dict['error_message'] = error_message
        print(error_message)

        print(param_dict)
        param_df_list.append(pd.DataFrame(data=param_dict, index=[idx_logfile]))


df = pd.concat(param_df_list)

print(df)

df.to_csv(f'{log_directory}/log_summary.csv')