#!/bin/sh -v
#PBS -e /mnt/home/abstrac01/laima_busaite/logs
#PBS -o /mnt/home/abstrac01/laima_busaite/logs
#PBS -q batch
#PBS -l nodes=1:ppn=12:gpus=1,feature=k40
#PBS -l mem=60gb
#PBS -l walltime=96:00:00
module load conda
eval "$(conda shell.bash hook)"
conda activate conda_env
export TEMP=$HOME/tmp

export TMPDIR=$HOME/tmp
export LD_LIBRARY_PATH=/mnt/home/abstrac01/.conda/envs/conda_env/lib:$LD_LIBRARY_PATH

cd /mnt/beegfs2/home/abstrac01/laima_busaite/EmotionSegmentation
python ./main.py \
-learning_rate 1e-3 \
-batch_size 64 \
-coef_num_features 3 \
-num_layers 3