#!/bin/sh -v
#PBS -e /mnt/home/abstrac01/laima_busaite/logs
#PBS -o /mnt/home/abstrac01/laima_busaite/logs
#PBS -q batch
#PBS -l nodes=1:ppn=12:gpus=1,feature=k40
#PBS -l mem=40gb
#PBS -l walltime=72:00:00
module load conda
eval "$(conda shell.bash hook)"
conda activate conda_env
export TEMP=$HOME/tmp

export TMPDIR=$HOME/tmp
export LD_LIBRARY_PATH=/mnt/home/abstrac01/.conda/envs/conda_env/lib:$LD_LIBRARY_PATH

cd /mnt/home/abstrac01/laima_busaite
python ./EmotionSegmentation/main.py -learning_rate 1e-3 -batch_size 32 -model '2_model_pre_trained_fcn' &
python ./EmotionSegmentation/main.py -learning_rate 1e-4 -batch_size 32 -model '2_model_pre_trained_fcn' &
python ./EmotionSegmentation/main.py -learning_rate 1e-3 -batch_size 64 -model '2_model_pre_trained_fcn' &
python ./EmotionSegmentation/main.py -learning_rate 1e-4 -batch_size 64 -model '2_model_pre_trained_fcn' &
wait