#!/bin/sh -v
#PBS -e /mnt/home/abstrac01/laima_busaite/logs
#PBS -o /mnt/home/abstrac01/laima_busaite/logs
#PBS -q batch
#PBS -N laima_busaite
#PBS -p 1000
#PBS -l nodes=1:ppn=8:gpus=1:shared,feature=v100
#PBS -l mem=40gb
#PBS -l walltime=96:00:00

cd /mnt/beegfs2/home/abstrac01/laima_busaite/EmotionSegmentation

module load conda
eval "$(conda shell.bash hook)"
source activate conda_env

python ./taskgen.py \
-learning_rate 1e-3 1e-4 1e-5 \
-model 2_model_pre_trained_fcn 1_model_unet \
-batch_size 64 \
-sequence_name test_model_types \
-num_tasks_in_parallel 4