#!/bin/sh -v
#PBS -e /mnt/home/abstrac01/laima_busaite/logs
#PBS -o /mnt/home/abstrac01/laima_busaite/logs
#PBS -q batch
#PBS -p 1000
#PBS -l nodes=1:ppn=12:gpus=1,feature=k40
#PBS -l mem=60gb
#PBS -l walltime=96:00:00

eval "$(conda shell.bash hook)"
conda activate conda_env
export LD_LIBRARY_PATH=/mnt/home/abstrac01/.conda/envs/conda_env/lib:$LD_LIBRARY_PATH

cd /mnt/beegfs2/home/abstrac01/laima_busaite/EmotionSegmentation
python ./taskgen.py \
-learning_rate 1e-3 1e-4 1e-5 \
-model 1_model_unet \
-batch_size 64 \
-coef_num_features 4 \
-num_layers 3 \
-sequence_name test_model_types \
-num_tasks_in_parallel 2